WB32L003 Standard Peripherals Firmware Library

Data Fields
BaseTim_InitTypeDef Struct Reference
WB32L003_StdPeriph_Driver » BASETIM

BaseTim Init structure definition. More...

`#include <wb32l003_basetim.h>`

## Data Fields
uint32_t | BaseTim_Gate
uint32_t | BaseTim_GatePolarity
uint32_t | BaseTim_Tog
uint32_t | BaseTim_Function
uint32_t | BaseTim_AutoReload
uint32_t | BaseTim_CountLevel
uint32_t | BaseTim_CountMode
uint32_t | BaseTim_Prescaler
uint32_t | BaseTim_BGLoad

## Detailed Description

BaseTim Init structure definition.

Note
  This structure is used for TIM10 and TIM11.

## Field Documentation

## ◆ BaseTim_AutoReload

uint32_t BaseTim_AutoReload

Specifies Timer auto reload enable or disable. This parameter can be a value of BaseTim_AutoReload

## ◆ BaseTim_BGLoad

uint32_t BaseTim_BGLoad

Specifies the period value to be loaded into the active CNT value immediately through LOAD register or periodly through BGLOAD register refer to mode specified by BaseTim_AutoReload. Period caculation = (MaxCntLevel - Period)/((BaseTim clock)/Prescaler) This parameter can be a number between Min_Data = 0x00000000 and Max_Data = 0xFFFFFFFF.

## ◆ BaseTim_CountLevel

uint32_t BaseTim_CountLevel

Specifies Timer maxim counter value is 0xFFFF or 0xFFFFFFFF. This parameter can be a value of BaseTim_CountLevel

## ◆ BaseTim_CountMode

uint32_t BaseTim_CountMode

Specifies Timer oneshot or repeat mode. This parameter can be a value of BaseTim_CountMode

## ◆ BaseTim_Function

uint32_t BaseTim_Function

Specifies Counter/Timer function selection. This parameter can be a value of BaseTim_Function_Count_Timer

## ◆ BaseTim_Gate

uint32_t BaseTim_Gate

Specifies gate function enable or disable. This parameter can be a value of BaseTim_Gate_Enable_Disable

## ◆ BaseTim_GatePolarity

uint32_t BaseTim_GatePolarity

Specifies gate polarity high or low. This parameter can be a value of BaseTim_GatePolarity

## ◆ BaseTim_Prescaler

uint32_t BaseTim_Prescaler

Specifies the prescaler value used to divide the BaseTim clock. This parameter can be a value of BaseTim_Prescaler

## ◆ BaseTim_Tog

uint32_t BaseTim_Tog

Specifies tog function enable or disable. This parameter can be a value of BaseTim_Tog_Enable_Disable

The documentation for this struct was generated from the following file:

- wb32l003_basetim.h